Subject: [RFC v2 3/6] irq: bypass: Extend skeleton for ARM forwarding control

From: [email-masked] (Paolo Bonzini)
Date: Tue, 7 Jul 2015 10:58:07 +0200

On 07/07/2015 09:10, Eric Auger wrote:
> On 07/06/2015 07:41 PM, Paolo Bonzini wrote:
>>
>>
>> On 06/07/2015 19:09, Eric Auger wrote:
>>>>> The good thing is that this helps a bit forming a lock hierarchy across
>>>>> the subsystems, for example irq bypass mutex outside vfio_platform_irq
>>>>> spinlock, because you cannot have a spinlock inside the mutex.  I think
>>>>> that all of your six callbacks are fine.
>>> arghh, no that's wrong then. I have plenty of them in the KVM/arm vgic
>>> part :-(
>>
>> I checked and it's right...
>>
>> /me rereads
>>
>> AAAARGH.  You cannot have a mutex inside a spinlock.  What you're doing
>> is fine.
>
> Sweated up (+ heat wave in France).

Same here, I also can blame the heat wave for the mistakes. :)

Paolo